For all issues regarding the Forums use, please, refer to the Forum Rules.

Our Solutions

Need professional assistance?
Consider our:

Support Offerings

 

Need to speed up your development?
Have a look at our:

Samples & Tools

 

Need some functionality extending standard OCCT capabilities?
Check out our:

Adv. Components

Related pages

Problem with making Shell from Faces...

Anonymous's picture
Forums: 

Hi,

I'm trying to make a closed shell from some faces. In "Modeling Algorithms User's Guide", p.68, it says, " Use the MakeShell clss to build a Shell from a set of Faces.".

I tried to find out the functions, but there's no such functions. I searched all the online manuals, and even the source code. there's no such function. Is the manual not correct?

Need your answer...

Helene Rousselet's picture

Hi,

The class is BRepBuilderAPI_MakeShell.

Regards

Helene

Seong Bok Park's picture

Thanks for response. I already know the class.. but there is no function that can make a shell with many faces in "BRepBuilderAPI_MakeShell" class..

There's just functions which take a surface, and 4 parameter values as parameters.

Philippe Centa's picture

I read the online documentation:

http://www.opencascade.org/doc/ModelingAlgorithms/stdbrep.htm#P_45_13

BRepBuilderAPI_MakeShell Class

Inheritance BRepBuilderAPI_MakeShape

Purpose Describes functions to build a shape corresponding to the skin of a surface. Note that the term shell in the class name has the same definition as a shell in STEP, in other words the skin of a shape, and not a solid model defined by a surface and a thickness. If you want to build the second sort of shell, you must use BRepAPI_MakeOffsetShape. A MakeShell object provides the framework for:

defining the construction of a shell,

implementing the construction algorithm, and

consulting the result.

Warning The connected C2 faces in the shell resulting from a decompositon of the surface are not sewn. For a sewn result, you need to use BRepOffsetAPI_Sewing. For a shell with thickness, you need to use BRepOffsetAPI_MakeOffsetShape. A shell is made of a series of faces connected by their common edges. If the surface is C2 continuous, the shell will contain only 1 face. If the surface is not C2 continuous, MakeShell breaks down the surface into several faces which are all C2 continuous and which are connected along the non-regular curves on the surface. The resulting shell contains all these faces.

Hope it helps.

Seong Bok Park's picture

Thanks for response. I have already used the class "BRepOffsetAPI_MakeOffsetShape" , but the result of the class was 'TopoDS_Shape' , and the TopoDS.ShapeType()function returned 'TopAbs_COMPOUND'. It's not the shell data..

I have to use the result "compound" to make a solid which has closed shell?

Philippe Centa's picture

Maybe you get a compound because if the original shape is not C1, the offset shape has a discontinuity, hence cannot be sewn. otherwise, try to sew it ...

Hope it helps.